Bug 574784 - logrotate doesn't prevent recursive includes
Summary: logrotate doesn't prevent recursive includes
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: logrotate
Version: 5.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Keywords: Reopened
Depends On: 440036
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-18 14:48 UTC by Daniel Novotny
Modified: 2013-04-12 20:38 UTC (History)
5 users (show)

(edit)
Clone Of: 440036
(edit)
Last Closed: 2011-05-18 14:57:28 UTC


Attachments (Terms of Use)
limit backported to rhel5 version of logrotate (1.29 KB, patch)
2010-03-18 15:26 UTC, Daniel Novotny
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0816 normal SHIPPED_LIVE logrotate bug fix update 2011-05-18 14:57:14 UTC

Comment 1 Tomas Smetana 2010-03-18 15:18:07 UTC
Note the upstream version prevents infinite recursion by limiting the nesting depth.  See commit #254:

https://fedorahosted.org/logrotate/changeset/254

Comment 2 Daniel Novotny 2010-03-18 15:26:16 UTC
Created attachment 401045 [details]
limit backported to rhel5 version of logrotate

Comment 4 RHEL Product and Program Management 2010-06-24 15:35:14 UTC
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.

Comment 13 errata-xmlrpc 2011-05-18 14:57:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0816.html


Note You need to log in before you can comment on or make changes to this bug.